Welcome!

The kernel problem with recent updates has been solved. Find the solution here

Important information
-- Required MX 15/16 Repository Changes
-- Information on torrent hosting changes
-- Information on MX15/16 GPG Keys
-- Spectre and Meltdown vulnerabilities

News
-- Introducing our new Website
-- MX Linux on social media: here

Current releases
-- MX-18.3 Point Release release info here
-- Migration Information to MX-18 here
-- antiX-17.4.1 release info here

New users
-- Please read this first, and don't forget to add system and hardware information to posts!
-- Here are the Forum Rules

LXQt 0.13 in test repo

User avatar
Adrian
Forum Veteran
Forum Veteran
Posts: 10057
Joined: Wed Jul 12, 2006 1:42 am

LXQt 0.13 in test repo

#1

Post by Adrian » Mon Apr 15, 2019 11:04 am

I was playing with my MX-LXQt and tried to update LXQt from Test repo, however after installing I cannot log in anymore. I see in /var/log/lightdm/lightdm.log a CRITICAL message user_get_uid: assertion 'user != NULL' failed, not sure if that the problem. Anybody else tried these packages, are they supposed to work? If they don't work, can we pull them out of Test?

User avatar
timkb4cq
Forum Veteran
Forum Veteran
Posts: 5120
Joined: Wed Jul 12, 2006 4:05 pm

#2

Post by timkb4cq » Mon Apr 15, 2019 11:49 am

I just installed the lxqt metapackage from Test, logged out of XFCE4 and logged in to LXQt. I'm posting this from it now.
There is likely a dependency problem which something else I installed earlier handled.
MSI 970A-G43 MB, AMD FX-6300 (six core), 16GB RAM, GeForce 730, Samsung 850 EVO 250GB SSD, Seagate Barracuda XT 3TB

User avatar
Adrian
Forum Veteran
Forum Veteran
Posts: 10057
Joined: Wed Jul 12, 2006 1:42 am

Re:

#3

Post by Adrian » Mon Apr 15, 2019 12:25 pm

timkb4cq wrote:
Mon Apr 15, 2019 11:49 am
I just installed the lxqt metapackage from Test, logged out of XFCE4 and logged in to LXQt. I'm posting this from it now.
There is likely a dependency problem which something else I installed earlier handled.
Not sure, I just updated all LXQt stuff that shows an upgrade mark in Test Repo, I will test more. Right now I tried a minimal update using only lxqt and I see with startlxqt:

Code: Select all

lxqt-session: symbol lookup error: lxqt-session: undefined symbol: _ZN4LXQT5PowerC1EbP7QObject

User avatar
timkb4cq
Forum Veteran
Forum Veteran
Posts: 5120
Joined: Wed Jul 12, 2006 4:05 pm

Re: LXQt 0.13 in test repo

#4

Post by timkb4cq » Mon Apr 15, 2019 12:42 pm

After some experimenting, these libraries need to be updated as well.
liblxqt0
liblxqt-globalkeys0
liblxqt-globalkeys-ui0

I downloaded your respin, upgraded lxqt from Test with MXPI and had the same issue.
Logged into openbox, checked Synaptic (with Test enabled) and found these libs weren't upgraded by MXPI. Upgraded them, problem solved.
MSI 970A-G43 MB, AMD FX-6300 (six core), 16GB RAM, GeForce 730, Samsung 850 EVO 250GB SSD, Seagate Barracuda XT 3TB

User avatar
Adrian
Forum Veteran
Forum Veteran
Posts: 10057
Joined: Wed Jul 12, 2006 1:42 am

Re: LXQt 0.13 in test repo

#5

Post by Adrian » Mon Apr 15, 2019 1:01 pm

Great! Do we need to add them as dependencies to one of the packages?

User avatar
timkb4cq
Forum Veteran
Forum Veteran
Posts: 5120
Joined: Wed Jul 12, 2006 4:05 pm

Re: LXQt 0.13 in test repo

#6

Post by timkb4cq » Mon Apr 15, 2019 1:15 pm

Well, they are listed in the dependencies - but liblxqt0 is in the deps unversioned, and the other two are listed as >0.8 when apparently it needs to be >=0.13

That worked fine for my new LXQt install from Test since those libs were pulled in from Test as well - but obviously fails as an upgrade so we'll need to adjust them.
MSI 970A-G43 MB, AMD FX-6300 (six core), 16GB RAM, GeForce 730, Samsung 850 EVO 250GB SSD, Seagate Barracuda XT 3TB

User avatar
Adrian
Forum Veteran
Forum Veteran
Posts: 10057
Joined: Wed Jul 12, 2006 1:42 am

Re: LXQt 0.13 in test repo

#7

Post by Adrian » Mon Apr 15, 2019 1:31 pm

They are easy to miss especially in MX Packageinstaller where we hide libraries. That's why I didn't see them, I assumed whatever libraries are needed would be pulled when I install 0.13 packages (I didn't update from Test)

User avatar
Stevo
Forum Veteran
Forum Veteran
Posts: 19823
Joined: Fri Dec 15, 2006 8:07 pm

Re: LXQt 0.13 in test repo

#8

Post by Stevo » Mon Apr 15, 2019 2:32 pm

That's what's supposed to happen, but obviously dh_shlibs didn't result in a high enough version.

I don't know if one or all of these need fixing:

Code: Select all

$ apt rdepends liblxqt0
liblxqt0
Reverse Depends:
  Depends: lxqt-about (>= 0.9.0+20150911)
  Depends: lxqt-runner
  Depends: lxqt-panel
  Depends: lxqt-globalkeys
  Depends: lxqt-config
  Depends: lxqt-policykit
  Depends: lxqt-about
  Depends: lxqt-powermanagement
  Depends: lxqt-notificationd
  Depends: lxqt-sudo
  Depends: lxqt-session
  Depends: lxqt-openssh-askpass
  Depends: lxqt-admin
  Depends: lxqt-sudo (>= 0.9.0+20150911)
  Depends: lxqt-session (>= 0.11.0)
  Depends: lxqt-runner (>= 0.9.0+20150911)
  Depends: lxqt-powermanagement (>= 0.11.0)
  Depends: lxqt-policykit (>= 0.9.0+20150911)
  Depends: lxqt-panel (>= 0.11.0)
  Depends: lxqt-openssh-askpass (>= 0.9.0+20150911)
  Depends: lxqt-notificationd (>= 0.11.0)
  Replaces: liblxqt-l10n (<< 0.11.0)
  Breaks: liblxqt-l10n (<< 0.11.0)
  Depends: lxqt-globalkeys (>= 0.9.0+20150911)
  Depends: lxqt-config (>= 0.11.0)
  Depends: lxqt-admin (>= 0.11.0)
  Depends: liblxqt0-dev (= 0.11.1-1)

User avatar
Stevo
Forum Veteran
Forum Veteran
Posts: 19823
Joined: Fri Dec 15, 2006 8:07 pm

Re: LXQt 0.13 in test repo

#9

Post by Stevo » Mon Apr 15, 2019 2:43 pm

A possible cheat would be to add versioned dependencies to the lxqt metapackage to fix the mistakes...

User avatar
Stevo
Forum Veteran
Forum Veteran
Posts: 19823
Joined: Fri Dec 15, 2006 8:07 pm

Re: LXQt 0.13 in test repo

#10

Post by Stevo » Mon Apr 15, 2019 2:58 pm

This will probably fix the install from the package installer:
lxqt_metapackages_rebuild.zip
You do not have the required permissions to view the files attached to this post.

Post Reply

Return to “Package Requests/Status - MX 17/18”